## spectrwm 1.0.0

=== Makefile ===
.include <bsd.xconf.mk>

PREFIX?=/usr/local

BINDIR=${PREFIX}/bin
SUBDIR= lib

PROG=spectrwm
#MAN=spectrwm_pt.1 spectrwm_ru.1
MAN=spectrwm.1 spectrwm_es.1 spectrwm_it.1

CFLAGS+=-std=c89 -Wall -Wno-uninitialized -ggdb3
# Uncomment define below to disallow user settable clock format string
#CFLAGS+=-DSWM_DENY_CLOCK_FORMAT
CPPFLAGS+= -I${X11BASE}/include
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lXrandr -lXtst
BUILDVERSION != sh "${.CURDIR}/buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/man

#spectrwm_ru.cat1: spectrwm_ru.1
#	 nroff -mandoc ${.CURDIR}/spectrwm_ru.1 > ${.TARGET}

obj: _xenocara_obj

beforeinstall:
	ln -sf ${BINDIR}/${PROG} ${BINDIR}/scrotwm

# clang targets
.if ${.TARGETS:M*analyze*}
CC=clang
CXX=clang++
CPP=clang -E
CFLAGS+=--analyze
.elif ${.TARGETS:M*clang*}
CC=clang
CXX=clang++
CPP=clang -E
.endif

analyze: all
clang: all
.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== freebsd/Makefile ===
.sinclude <bsd.port.pre.mk>

PREFIX?= /usr/local
LOCALBASE?= /usr/local

SWM_BINDIR?= $(PREFIX)/bin
SWM_LIBDIR?= $(PREFIX)/lib
SWM_MANDIR?= $(PREFIX)/man

LVERS!=	awk -F = '/major/ { printf( "%s.", $$2 ) } /minor/ { printf( "%s", $$2 ) }' ${.CURDIR}/../lib/shlib_version
BUILDVERSION!= sh "${.CURDIR}/../buildver.sh"
.if !${BUILDVERSION} == ""
CFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
.endif

CFLAGS+= -Wall -Wno-uninitialized -I. -I${LOCALBASE}/include
CFLAGS+= -DSWM_LIB=\"$(SWM_LIBDIR)/libswmhack.so.$(LVERS)\"
LDADD+= -lutil -L${LOCALBASE}/lib -lX11 -lXrandr -lXtst


all: spectrwm libswmhack.so.$(LVERS)

spectrwm.c:
	ln -sf ../spectrwm.c
	ln -sf ../version.h

swm_hack.c:
	ln -sf ../lib/swm_hack.c

spectrwm: spectrwm.o
	$(CC) $(LDFLAGS) $(LDADD) -o ${.TARGET} ${.ALLSRC}

swm_hack.so: swm_hack.c
	$(CC) $(CFLAGS) -c -shared -fpic -DPIC -o ${.TARGET} ${.ALLSRC}

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) $(LDFLAGS) -shared -fpic -o ${.TARGET} ${.ALLSRC}

install: all
	install -m 755 -d $(SWM_BINDIR)
	install -m 755 -d $(SWM_LIBDIR)
	install -m 755 -d $(SWM_MANDIR)/man1
	install -m 755 spectrwm $(SWM_BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(SWM_LIBDIR)
	install -m 644 ../spectrwm.1 $(SWM_MANDIR)/man1/spectrwm.1
	install -m 644 ../spectrwm_es.1 $(SWM_MANDIR)/man1/spectrwm_es.1
	install -m 644 ../spectrwm_it.1 $(SWM_MANDIR)/man1/spectrwm_it.1
	install -m 644 ../spectrwm_pt.1 $(SWM_MANDIR)/man1/spectrwm_pt.1
	install -m 644 ../spectrwm_ru.1 $(SWM_MANDIR)/man1/spectrwm_ru.1
	ln -sf $(SWM_BINDIR)/spectrwm $(SWM_BINDIR)/scrotwm

clean:
	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c version.h

.sinclude <bsd.port.post.mk>

=== lib/Makefile ===
.include <bsd.xconf.mk>

PREFIX?=/usr/local

LIB=    swmhack
NOMAN=	yes
SRCS=	swm_hack.c
LIBDIR= ${X11BASE}/lib

DEBUGLIBS= no
NOPROFILE= yes

CFLAGS+=-Wall -Wno-uninitialized -ggdb3 -fPIC
CFLAGS+= -I${X11BASE}/include

install:
	${INSTALL} ${INSTALL_COPY} -o ${LIBOWN} -g ${LIBGRP} -m ${LIBMODE} \
		lib${LIB}.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
		${PREFIX}/lib/

.include <bsd.lib.mk>
.include <bsd.xorg.mk>

=== linux/Makefile ===
CFLAGS+= -Wall -ggdb -D_GNU_SOURCE -I.
CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
LDADD+= -lX11 -lXrandr -lXtst

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

CC= gcc

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

BUILDVERSION= $(shell sh $(CURDIR)/../buildver.sh)
ifneq ("${BUILDVERSION}", "")
CFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
endif

all: spectrwm libswmhack.so.$(LVERS)

spectrwm.c:
	ln -sf ../spectrwm.c
	ln -sf ../version.h

swm_hack.c:
	ln -sf ../lib/swm_hack.c

spectrwm: spectrwm.o linux.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) swm_hack.so $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 spectrwm $(DESTDIR)$(BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
	install -m 644 ../spectrwm.1 $(DESTDIR)$(MANDIR)/man1/spectrwm.1
	install -m 644 ../spectrwm_es.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_es.1
	install -m 644 ../spectrwm_it.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_it.1
	install -m 644 ../spectrwm_pt.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_pt.1
	install -m 644 ../spectrwm_ru.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_ru.1
	ln -sf $(DESTDIR)$(BINDIR)/spectrwm $(DESTDIR)$(BINDIR)/scrotwm

clean:
	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c version.h

.PHONY: all install clean

=== osx/Makefile ===
CFLAGS+= -O2 -Wall -ggdb -D_GNU_SOURCE -D__OSX__ -I. -I..
CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
LDADD+=  -L/usr/X11/lib/ -lX11 -lXrandr -lXtst

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

CC= gcc

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

all: spectrwm libswmhack.so.$(LVERS)

spectrwm.c:
	ln -sf ../spectrwm.c

swm_hack.c:
	ln -sf ../lib/swm_hack.c

spectrwm: spectrwm.o osx.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) -shared -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so
# replace above line with this for OSX 10.5
#	$(CC) -shared -bundle -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 spectrwm $(DESTDIR)$(BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
	install -m 644 ../spectrwm.1 $(DESTDIR)$(MANDIR)/man1/spectrwm.1
	install -m 644 ../spectrwm_es.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_es.1
	install -m 644 ../spectrwm_it.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_it.1
	install -m 644 ../spectrwm_pt.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_pt.1
	install -m 644 ../spectrwm_ru.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_ru.1
	ln -sf $(DESTDIR)$(BINDIR)/spectrwm $(DESTDIR)$(BINDIR)/scrotwm

clean:
	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c

.PHONY: all install clean

=== debian/changelog ===
spectrwm (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Change source and binary package name to spectrwm in order to be
    consistent with upstream's new naming choices.
    - Provide a transitional binary package for compatibility.
    - Add Pre-Depends: on dpkg (>= 1.15.7.2~) to properly migrate existing
      custom configuration files.
  * 104-skip-compatibility-symlinks.diff:
    - don't let upstream's build system handle compatibility symlinks.
  * 005-use-consistent-naming.diff:
    - merged upstream; dropped.
  * Update Standards-Version to 3.9.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 07 Mar 2012 23:10:57 +0100

scrotwm (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * 005-use-consistent-naming.diff:
    - keep the spelling of the software name consistent.
  * Update Homepage: field accordingly.

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 11 Feb 2012 17:40:50 +0100

scrotwm (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update Debian copyright file.
  * Update Vcs-* control fields.
  * Various packaging improvements.

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 28 Jan 2012 12:20:27 +0100

scrotwm (0.9.34-1) unstable; urgency=low

  * New upstream release.
  * 002-improve-man-page.diff:
    - improve English man page. Closes: #531844 (please allow one
      workspace to span multiple monitors).
  * 003-update-italian-man-page.diff:
    - bring Italian man page up-to-date.
  * Add README.Debian file. Closes: #552647 (suggest or recommend
    acpi and iostat).
  * Install Portuguese man page.
  * Drop .desktop file, it is now shipped upstream.
  * Update watch file to reflect new snapshot location.
  * Recommend suckless-tools, which replaces dwm-tools.
  * Add Depends: on libxtst-dev.
  * Use hardening build flags, as provided by dpkg-buildflags.
  * Update Debian copyright file to DEP5 candidate version.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 11 Nov 2011 10:06:03 +0100

scrotwm (0.9.20-1) unstable; urgency=low

  * New upstream release:
    - Closes: #531790 (focus changes to the window in the background
      sometimes).
    - Closes: #531826 (doesn't play well with hidden windows).
    - Closes: #532569 (dialogs are always displayed on the first screen in
      a multi-head setup).
  * 002-check-before-preloading-libswmhack.diff:
    - libswmhack.so is installed now, so this patch is no longer needed.
  * 003-dont-use-hypen-as-minus-sign.diff:
    - merged upstream; dropped.
  * 102-remove-bash-and-openbsd-assumptions.diff:
    - call top correctly.
  * 103-try-versioned-dlopen.diff:
    - make libswmhack.so work even when libx11-dev and libxt-dev are not
      installed. Closes: #551732 (unable to run some applications because
      of LD_PRELOAD=/usr/.../libswmhack.so.0.0 in the environment).
  * Convert to 3.0 (quilt) source format.
  * Document patches according to DEP-3.

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Dec 2009 17:29:54 +0100

scrotwm (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Build and install libswmhack.so.
  * 003-dont-use-hypen-as-minus-sign.diff: fix a common man page issue.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 14 Sep 2009 11:13:35 +0200

scrotwm (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * Remove bashisms from baraction.sh example script. (Closes: #530990)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 30 May 2009 21:18:27 +0200

scrotwm (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #514322)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 19 Mar 2009 08:11:05 +0100

=== debian/control ===
Source: spectrwm
Section: x11
Priority: optional
Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), libx11-dev, libxt-dev, libxrandr-dev, libxtst-dev
Standards-Version: 3.9.3
Homepage: http://opensource.conformal.com/wiki/spectrwm
Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spectrwm.git;a=summary

Package: spectrwm
Architecture: any
Provides: x-window-manager
Replaces: scrotwm (<< 1.0.0-1~)
Breaks: scrotwm (<< 1.0.0-1~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: suckless-tools, xterm | x-terminal-emulator, xfonts-terminus
Description: dynamic tiling window manager
 spectrwm is a minimalistic window manager that tries to stay out of the
 way so that valuable screen real estate can be used for much more
 important stuff.
 .
 It has sane defaults and does not require one to learn a language to do
 any configuration.
 .
 It was written by hackers for hackers and it strives to be small,
 compact and fast.

Package: scrotwm
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: spectrwm, ${misc:Depends}
Description: dynamic tiling window manager (transitional package)
 spectrwm is a minimalistic window manager that tries to stay out of the
 way so that valuable screen real estate can be used for much more
 important stuff.
 .
 scrotwm is the old name for spectrwm. This transitional package is
 provided to ease upgrades; it also contains compatibility symlinks to
 ensure upgrading doesn't break a working setup. It can be safely
 deleted if backward compatibility with scrotwm is not needed.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

DESTDIR=$(CURDIR)/debian/spectrwm

build: build-indep build-arch
build-indep: build-stamp
build-arch: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C linux/ PREFIX=/usr \
	                  LIBDIR=/usr/lib/spectrwm
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -C linux/ clean
	dh_clean

binary: binary-indep binary-arch
binary-indep: build
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C linux/ install PREFIX=/usr \
	                          LIBDIR=/usr/lib/spectrwm \
	                          DESTDIR=$(DESTDIR)
	dh_install
	dh_installexamples
	dh_installchangelogs 
	dh_installdocs
	dh_installwm
	dh_strip
	dh_compress
	dh_link
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary binary-indep binary-arch

=== debian/watch ===
version=3
http://opensource.conformal.com/snapshots/spectrwm/spectrwm-([\d\.]+)\.tgz

## spectrwm 2.6.0

=== Makefile ===
.include <bsd.xconf.mk>

PREFIX?=/usr/local

BINDIR=${PREFIX}/bin
SUBDIR= lib

PROG=spectrwm
#MAN=spectrwm_pt.1 spectrwm_ru.1 spectrwm_es.1 spectrwm_it.1
MAN=spectrwm.1

CFLAGS+=-std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
# Uncomment define below to disallow user settable clock format string
#CFLAGS+=-DSWM_DENY_CLOCK_FORMAT
CPPFLAGS+= -I${X11BASE}/include -I${X11BASE}/include/freetype2
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lX11-xcb -lxcb-aux -lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-xtest -lXft -lXcursor
BUILDVERSION != sh "${.CURDIR}/buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/man

#spectrwm_ru.cat1: spectrwm_ru.1
#	 nroff -mandoc ${.CURDIR}/spectrwm_ru.1 > ${.TARGET}

obj: _xenocara_obj

beforeinstall:
	ln -sf ${PROG} ${BINDIR}/scrotwm

# clang targets
.if ${.TARGETS:M*analyze*}
CC=clang
CXX=clang++
CPP=clang -E
CFLAGS+=--analyze
.endif

analyze: all
clang: all
.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== freebsd/Makefile ===
--- 
+++ 
@@ -7,15 +7,19 @@
 SWM_LIBDIR?= $(PREFIX)/lib
 SWM_MANDIR?= $(PREFIX)/man
 
+CC?= cc
+
 LVERS!=	awk -F = '/major/ { printf( "%s.", $$2 ) } /minor/ { printf( "%s", $$2 ) }' ${.CURDIR}/../lib/shlib_version
 BUILDVERSION!= sh "${.CURDIR}/../buildver.sh"
 .if !${BUILDVERSION} == ""
 CFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
 .endif
 
-CFLAGS+= -Wall -Wno-uninitialized -I. -I${LOCALBASE}/include
+CFLAGS+= -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
+CFLAGS+= -I. -I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2
 CFLAGS+= -DSWM_LIB=\"$(SWM_LIBDIR)/libswmhack.so.$(LVERS)\"
-LDADD+= -lutil -L${LOCALBASE}/lib -lX11 -lXrandr -lXtst
+LDADD+= -lutil -L${LOCALBASE}/lib -lX11 -lX11-xcb -lxcb \
+	-lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-util -lxcb-xtest -lXft -lXcursor
 
 
 all: spectrwm libswmhack.so.$(LVERS)
@@ -47,9 +51,11 @@
 	install -m 644 ../spectrwm_it.1 $(SWM_MANDIR)/man1/spectrwm_it.1
 	install -m 644 ../spectrwm_pt.1 $(SWM_MANDIR)/man1/spectrwm_pt.1
 	install -m 644 ../spectrwm_ru.1 $(SWM_MANDIR)/man1/spectrwm_ru.1
-	ln -sf $(SWM_BINDIR)/spectrwm $(SWM_BINDIR)/scrotwm
+	ln -sf spectrwm $(SWM_BINDIR)/scrotwm
 
 clean:
 	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c version.h
 
+.PHONY:	all install clean
+
 .sinclude <bsd.port.post.mk>

=== lib/Makefile ===
--- 
+++ 
@@ -7,10 +7,13 @@
 SRCS=	swm_hack.c
 LIBDIR= ${X11BASE}/lib
 
+CC?= cc
+
 DEBUGLIBS= no
 NOPROFILE= yes
 
-CFLAGS+=-Wall -Wno-uninitialized -ggdb3 -fPIC
+CFLAGS+= -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
+CFLAGS+= -fPIC
 CFLAGS+= -I${X11BASE}/include
 
 install:

=== linux/Makefile ===
PREFIX       ?= /usr/local
BINDIR       ?= $(PREFIX)/bin
LIBDIR       ?= $(PREFIX)/lib
DATAROOTDIR  ?= $(PREFIX)/share
MANDIR       ?= $(DATAROOTDIR)/man
XSESSIONSDIR ?= $(DATAROOTDIR)/xsessions

BUILDVERSION    = $(shell sh $(CURDIR)/../buildver.sh)
LIBVERSION      = $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major.$$minor)
LIBMAJORVERSION = $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major)

MAINT_CFLAGS   = -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
MAINT_CPPFLAGS = -D_GNU_SOURCE -I. -I/usr/include/freetype2 -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LIBVERSION)\"
MAINT_LDLIBS   = -lX11 -lX11-xcb -lxcb -lxcb-icccm -lxcb-randr -lxcb-keysyms -lxcb-util -lxcb-xtest -lXft -lXcursor

ifneq ("${BUILDVERSION}", "")
MAINT_CPPFLAGS += -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
endif

all: spectrwm libswmhack.so.$(LIBVERSION)

spectrwm: spectrwm.o linux.o
	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) $(MAINT_LDLIBS) $(LDLIBS) -o $@ $+

spectrwm.o: ../spectrwm.c ../version.h tree.h util.h
	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<

linux.o: linux.c util.h
	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<

libswmhack.so.$(LIBVERSION): swm_hack.so
	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) $(MAINT_LDLIBS) $(LDLIBS) -Wl,-soname,$@ -shared -fpic -o $@ $+

swm_hack.so: ../lib/swm_hack.c
	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -fpic -DPIC -c -o $@ $<

clean:
	rm -f spectrwm *.o libswmhack.so.* *.so

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 -d $(DESTDIR)$(MANDIR)/es/man1
	install -m 755 -d $(DESTDIR)$(MANDIR)/it/man1
	install -m 755 -d $(DESTDIR)$(MANDIR)/pt/man1
	install -m 755 -d $(DESTDIR)$(MANDIR)/ru/man1
	install -m 755 -d $(DESTDIR)$(XSESSIONSDIR)
	install -m 755 spectrwm                    $(DESTDIR)$(BINDIR)
	ln -sf spectrwm                            $(DESTDIR)$(BINDIR)/scrotwm
	install -m 644 libswmhack.so.$(LIBVERSION) $(DESTDIR)$(LIBDIR)
	ln -sf libswmhack.so.$(LIBVERSION)         $(DESTDIR)$(LIBDIR)/libswmhack.so.$(LIBMAJORVERSION)
	ln -sf libswmhack.so.$(LIBVERSION)         $(DESTDIR)$(LIBDIR)/libswmhack.so
	install -m 644 ../spectrwm.1               $(DESTDIR)$(MANDIR)/man1/spectrwm.1
	install -m 644 ../spectrwm_es.1            $(DESTDIR)$(MANDIR)/es/man1/spectrwm.1
	install -m 644 ../spectrwm_it.1            $(DESTDIR)$(MANDIR)/it/man1/spectrwm.1
	install -m 644 ../spectrwm_pt.1            $(DESTDIR)$(MANDIR)/pt/man1/spectrwm.1
	install -m 644 ../spectrwm_ru.1            $(DESTDIR)$(MANDIR)/ru/man1/spectrwm.1
	install -m 644 spectrwm.desktop            $(DESTDIR)$(XSESSIONSDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/spectrwm
	rm -f $(DESTDIR)$(BINDIR)/scrotwm
	rm -f $(DESTDIR)$(LIBDIR)/libswmhack.so.$(LIBVERSION)
	rm -f $(DESTDIR)$(LIBDIR)/libswmhack.so.$(LIBMAJORVERSION)
	rm -f $(DESTDIR)$(LIBDIR)/libswmhack.so
	rm -f $(DESTDIR)$(MANDIR)/man1/spectrwm.1
	rm -f $(DESTDIR)$(MANDIR)/es/man1/spectrwm.1
	rm -f $(DESTDIR)$(MANDIR)/it/man1/spectrwm.1
	rm -f $(DESTDIR)$(MANDIR)/pt/man1/spectrwm.1
	rm -f $(DESTDIR)$(MANDIR)/ru/man1/spectrwm.1
	rm -f $(DESTDIR)$(XSESSIONSDIR)/spectrwm.desktop

.PHONY: all clean install uninstall

=== osx/Makefile ===
PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

# To use xquartz, uncomment the following three lines.
INCFLAGS+= -I/opt/X11/include -I/opt/X11/include/freetype2/
LDADD+=  -L/opt/X11/lib -lX11 -lXcursor -lXft

# To use homebrew, uncomment the following three lines.
#INCFLAGS+= -I/opt/X11/include
#LDADD+=  -lX11 -lXcursor -lXft -L/opt/X11/lib
#INCFLAGS+= -I/usr/local/Cellar/freetype/2.5.0.1/include/freetype2

# To use homebrew , comment out the following two lines.
#INCFLAGS+= -I/opt/local/include/freetype2 -I/opt/local/include
#LDADD+=  -L/opt/local/lib -lX11 -lXcursor -lXft

LDADD+=  -lxcb-keysyms -lxcb-util -lxcb-randr -lX11-xcb -lxcb-xtest -lxcb -lxcb-icccm

LVERS= $(shell . ../lib/shlib_version; echo $$major.$$minor)

CFLAGS+= -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
CFLAGS+= -O2 -D_GNU_SOURCE -D__OSX__ -I. -I.. ${INCFLAGS}
CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"

CC?= cc

all: spectrwm libswmhack.so.$(LVERS)

spectrwm.c:
	ln -sf ../linux/tree.h
	ln -sf ../spectrwm.c
	ln -sf ../version.h

swm_hack.c:
	ln -sf ../lib/swm_hack.c

spectrwm: spectrwm.o osx.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

%.so: %.c
	$(CC) $(CFLAGS) -c -fpic -DPIC $+ -o $@

libswmhack.so.$(LVERS): swm_hack.so
	$(CC) $(LDFLAGS) -shared -fpic -o libswmhack.so.$(LVERS) swm_hack.so $(LDADD)
# replace above line with this for OSX 10.5
#	$(CC) -shared -bundle -fpic -o libswmhack.so.$(LVERS) $(LDADD) swm_hack.so

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 spectrwm $(DESTDIR)$(BINDIR)
	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
	install -m 644 ../spectrwm.1 $(DESTDIR)$(MANDIR)/man1/spectrwm.1
	install -m 644 ../spectrwm_es.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_es.1
	install -m 644 ../spectrwm_it.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_it.1
	install -m 644 ../spectrwm_pt.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_pt.1
	install -m 644 ../spectrwm_ru.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_ru.1
	ln -sf spectrwm $(DESTDIR)$(BINDIR)/scrotwm
	ln -sf libswmhack.so.0.0 $(DESTDIR)$(LIBDIR)/libswmhack.so.0
	ln -sf libswmhack.so.0.0 $(DESTDIR)$(LIBDIR)/libswmhack.so

clean:
	rm -f spectrwm *.o *.so libswmhack.so.* spectrwm.c swm_hack.c tree.h version.h

.PHONY: all install clean

=== debian/changelog ===
spectrwm (2.6.0-1ubuntu2) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:23 +0000

spectrwm (2.6.0-1ubuntu1) vivid; urgency=medium

  * debian/patches/linking-order.diff: Change linking order to fix FTBFS with
    ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 02:57:02 -0500

spectrwm (2.6.0-1) unstable; urgency=low

  * New upstream release.
    - Closes: #689226 (please package the latest version)
  * Stop building scrotwm transitional package.
  * Stop patching example files.
  * U01-improve-makefile.diff:
    - merged upstream; dropped.
  * U03-improve-english-man-page.diff:
    - merged upstream; dropped.
  * Move to debhelper compatibility level 9.
  * Update Standards-Version to 3.9.5 (no changes needed).

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 09 Sep 2014 22:24:57 +0200

=== debian/control ===
Source: spectrwm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libx11-xcb-dev,
               libxcursor-dev,
               libxrandr-dev,
               libxt-dev,
               libxtst-dev,
               libxcb1-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-util0-dev,
               libxcb-xtest0-dev,
               libxft-dev
Standards-Version: 3.9.5
Homepage: http://spectrwm.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/spectrwm.git/

Package: spectrwm
Architecture: any
Provides: x-window-manager
Depends: suckless-tools,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: xterm | x-terminal-emulator, xfonts-terminus
Description: dynamic tiling window manager
 spectrwm is a small dynamic tiling window manager for X11.
 .
 It tries to stay out of the way so that valuable screen real estate can
 be used for much more important stuff. It has sane defaults and does not
 require one to learn a language to do any configuration.
 .
 It is written by hackers for hackers and it strives to be small, compact
 and fast.

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_installexamples
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installwm
+	dh_installwm /usr/bin/spectrwm
 	dh_strip
 	dh_compress
 	dh_link
@@ -45,4 +45,23 @@
 	dh_md5sums
 	dh_builddeb
 
-.PHONY: build clean binary binary-indep binary-arch
+# Rebuild the patches series by looking at the contents of the
+# debian/patches directory.
+#
+# Patches with names starting with D (Debian-specific) should be applied
+# after those with names starting with U (to be forwarded upstream).
+rebuild-patches-series:
+	@( \
+		SERIES=debian/patches/series; \
+		{ \
+			echo "# To rebuild this file, use \`debian/rules $@'"; \
+			for patch in debian/patches/U*.diff debian/patches/D*.diff; \
+			do \
+				test -f "$${patch}" || continue; \
+				patch=$$(basename "$${patch}"); \
+				echo "$${patch}"; \
+			done; \
+		} >"$${SERIES}"; \
+	)
+
+.PHONY: build clean binary binary-indep binary-arch rebuild-patches-series

## spectrwm 3.0.2

=== Makefile ===
.include <bsd.xconf.mk>

PREFIX?=/usr/local

BINDIR=${PREFIX}/bin
SUBDIR= lib

PROG=spectrwm
MAN=spectrwm.1

CFLAGS+=-std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
# Uncomment define below to disallow user settable clock format string
#CFLAGS+=-DSWM_DENY_CLOCK_FORMAT
CPPFLAGS+= -I${X11BASE}/include -I${X11BASE}/include/freetype2
LDADD+=-lutil -L${X11BASE}/lib -lX11 -lX11-xcb -lxcb-util -lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-xtest -lXft -lXcursor
BUILDVERSION != sh "${.CURDIR}/buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/man

obj: _xenocara_obj

beforeinstall:
	ln -sf ${PROG} ${BINDIR}/scrotwm

spectrwm.html: spectrwm.1
	mandoc -Thtml ${.CURDIR}/spectrwm.1 > spectrwm.html

.include <bsd.prog.mk>
.include <bsd.xorg.mk>

=== linux/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 all: spectrwm libswmhack.so.$(LIBVERSION)
 
 spectrwm: spectrwm.o linux.o
-	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) $(MAINT_LDLIBS) $(LDLIBS) -o $@ $+
+	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) -o $@ $+ $(MAINT_LDLIBS) $(LDLIBS)
 
 spectrwm.o: ../spectrwm.c ../version.h tree.h util.h
 	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
@@ -29,7 +29,7 @@
 	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 libswmhack.so.$(LIBVERSION): swm_hack.so
-	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) $(MAINT_LDLIBS) $(LDLIBS) -Wl,-soname,$@ -shared -fpic -o $@ $+
+	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) -Wl,-soname,$@ -shared -fpic -o $@ $+ $(MAINT_LDLIBS) $(LDLIBS)
 
 swm_hack.so: ../lib/swm_hack.c
 	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -fpic -DPIC -c -o $@ $<
@@ -41,10 +41,6 @@
 	install -m 755 -d $(DESTDIR)$(BINDIR)
 	install -m 755 -d $(DESTDIR)$(LIBDIR)
 	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
-	install -m 755 -d $(DESTDIR)$(MANDIR)/es/man1
-	install -m 755 -d $(DESTDIR)$(MANDIR)/it/man1
-	install -m 755 -d $(DESTDIR)$(MANDIR)/pt/man1
-	install -m 755 -d $(DESTDIR)$(MANDIR)/ru/man1
 	install -m 755 -d $(DESTDIR)$(XSESSIONSDIR)
 	install -m 755 spectrwm                    $(DESTDIR)$(BINDIR)
 	ln -sf spectrwm                            $(DESTDIR)$(BINDIR)/scrotwm
@@ -52,10 +48,6 @@
 	ln -sf libswmhack.so.$(LIBVERSION)         $(DESTDIR)$(LIBDIR)/libswmhack.so.$(LIBMAJORVERSION)
 	ln -sf libswmhack.so.$(LIBVERSION)         $(DESTDIR)$(LIBDIR)/libswmhack.so
 	install -m 644 ../spectrwm.1               $(DESTDIR)$(MANDIR)/man1/spectrwm.1
-	install -m 644 ../spectrwm_es.1            $(DESTDIR)$(MANDIR)/es/man1/spectrwm.1
-	install -m 644 ../spectrwm_it.1            $(DESTDIR)$(MANDIR)/it/man1/spectrwm.1
-	install -m 644 ../spectrwm_pt.1            $(DESTDIR)$(MANDIR)/pt/man1/spectrwm.1
-	install -m 644 ../spectrwm_ru.1            $(DESTDIR)$(MANDIR)/ru/man1/spectrwm.1
 	install -m 644 spectrwm.desktop            $(DESTDIR)$(XSESSIONSDIR)
 
 uninstall:
@@ -65,10 +57,6 @@
 	rm -f $(DESTDIR)$(LIBDIR)/libswmhack.so.$(LIBMAJORVERSION)
 	rm -f $(DESTDIR)$(LIBDIR)/libswmhack.so
 	rm -f $(DESTDIR)$(MANDIR)/man1/spectrwm.1
-	rm -f $(DESTDIR)$(MANDIR)/es/man1/spectrwm.1
-	rm -f $(DESTDIR)$(MANDIR)/it/man1/spectrwm.1
-	rm -f $(DESTDIR)$(MANDIR)/pt/man1/spectrwm.1
-	rm -f $(DESTDIR)$(MANDIR)/ru/man1/spectrwm.1
 	rm -f $(DESTDIR)$(XSESSIONSDIR)/spectrwm.desktop
 
 .PHONY: all clean install uninstall

=== debian/changelog ===
spectrwm (3.0.2-1) unstable; urgency=low

  * New upstream release
    - Closes: #772431 (fix FTBFS with ld --as-needed)

  * Changes to default programs
    - Use slock as the default screen locking program
    - Verify all default programs on startup

  * Changes to package relationships
    - Upgrade x-terminal-emulator from Recommends: to Depends:
    - Add Depends: on libxt6
      - It gets dlopen()ed by libswmhack

  * New patches
    - U01-fix-man-errors.diff
    - U02-improve-linking.diff
      - Minimize library dependencies
    - U02-enable-pie.diff
      - Provide additional hardening

  * Updated patches
    - D01-adapt-libswmhack.diff
      - Simplify and make downstream only

  * Dropped patches
    - U02-update-italian-man-page.diff
      - Merged upstream
    - D03-make-default-programs-optional.diff
      - No longer needed (see above)

  * Other
    - Enable +bindnow hardening option
    - Update Homepage: and others to point to GitHub
    - Use HTTPS wherever possible
    - Update Standards-Version to 3.9.8
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 31 Jul 2016 19:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spectrwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Bolognani <eof@kiyuko.org>
+Maintainer: Andrea Bolognani <eof@kiyuko.org>
 Build-Depends: debhelper (>= 9),
                libx11-dev,
                libx11-xcb-dev,
@@ -17,18 +16,20 @@
                libxcb-util0-dev,
                libxcb-xtest0-dev,
                libxft-dev
-Standards-Version: 3.9.5
-Homepage: http://spectrwm.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/spectrwm.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
+Standards-Version: 3.9.8
+Homepage: https://github.com/conformal/spectrwm
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/spectrwm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
 
 Package: spectrwm
 Architecture: any
 Provides: x-window-manager
 Depends: suckless-tools,
+         xterm | x-terminal-emulator,
+         libxt6,
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: xterm | x-terminal-emulator, xfonts-terminus
+Recommends: xfonts-terminus
 Description: dynamic tiling window manager
  spectrwm is a small dynamic tiling window manager for X11.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk

=== debian/watch ===
version=4
https://github.com/conformal/spectrwm/releases \
	^.*/SPECTRWM_(\d+)_(\d+)_(\d+)\.tar\.gz$

## spectrwm 3.1.0

=== freebsd/Makefile ===
--- 
+++ 
@@ -47,10 +47,6 @@
 	install -m 755 spectrwm $(SWM_BINDIR)
 	install -m 755 libswmhack.so.$(LVERS) $(SWM_LIBDIR)
 	install -m 644 ../spectrwm.1 $(SWM_MANDIR)/man1/spectrwm.1
-	install -m 644 ../spectrwm_es.1 $(SWM_MANDIR)/man1/spectrwm_es.1
-	install -m 644 ../spectrwm_it.1 $(SWM_MANDIR)/man1/spectrwm_it.1
-	install -m 644 ../spectrwm_pt.1 $(SWM_MANDIR)/man1/spectrwm_pt.1
-	install -m 644 ../spectrwm_ru.1 $(SWM_MANDIR)/man1/spectrwm_ru.1
 	ln -sf spectrwm $(SWM_BINDIR)/scrotwm
 
 clean:

=== linux/Makefile ===
--- 
+++ 
@@ -10,29 +10,38 @@
 LIBMAJORVERSION = $(shell .  $(CURDIR)/../lib/shlib_version; echo $$major)
 
 MAINT_CFLAGS   = -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
-MAINT_CPPFLAGS = -D_GNU_SOURCE -I. -I/usr/include/freetype2 -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LIBVERSION)\"
-MAINT_LDLIBS   = -lX11 -lX11-xcb -lxcb -lxcb-icccm -lxcb-randr -lxcb-keysyms -lxcb-util -lxcb-xtest -lXft -lXcursor
+MAINT_LDFLAGS  = -Wl,--as-needed
+MAINT_CPPFLAGS = -I. -D_GNU_SOURCE -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LIBVERSION)\"
 
 ifneq ("${BUILDVERSION}", "")
 MAINT_CPPFLAGS += -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
 endif
 
+BIN_CFLAGS   = -fPIE
+BIN_LDFLAGS  = -fPIE -pie
+BIN_CPPFLAGS = $(shell pkg-config --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xtest xcursor xft)
+BIN_LDLIBS   = $(shell pkg-config --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xtest xcursor xft)
+LIB_CFLAGS   = -fPIC
+LIB_LDFLAGS  = -fPIC -shared
+LIB_CPPFLAGS = $(shell pkg-config --cflags x11)
+LIB_LDLIBS   = $(shell pkg-config --libs   x11) -ldl
+
 all: spectrwm libswmhack.so.$(LIBVERSION)
 
 spectrwm: spectrwm.o linux.o
-	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) -o $@ $+ $(MAINT_LDLIBS) $(LDLIBS)
+	$(CC) $(MAINT_LDFLAGS) $(BIN_LDFLAGS) $(LDFLAGS) -o $@ $+ $(BIN_LDLIBS) $(LDLIBS)
 
 spectrwm.o: ../spectrwm.c ../version.h tree.h util.h
-	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
+	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 linux.o: linux.c util.h
-	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
+	$(CC) $(MAINT_CFLAGS) $(BIN_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(BIN_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 libswmhack.so.$(LIBVERSION): swm_hack.so
-	$(CC) $(MAINT_LDFLAGS) $(LDFLAGS) -Wl,-soname,$@ -shared -fpic -o $@ $+ $(MAINT_LDLIBS) $(LDLIBS)
+	$(CC) $(MAINT_LDFLAGS) $(LIB_LDFLAGS) $(LDFLAGS) -Wl,-soname,$@ -o $@ $+ $(LIB_LDLIBS) $(LDLIBS)
 
 swm_hack.so: ../lib/swm_hack.c
-	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(CPPFLAGS) -fpic -DPIC -c -o $@ $<
+	$(CC) $(MAINT_CFLAGS) $(LIB_CFLAGS) $(CFLAGS) $(MAINT_CPPFLAGS) $(LIB_CPPFLAGS) $(CPPFLAGS) -c -o $@ $<
 
 clean:
 	rm -f spectrwm *.o libswmhack.so.* *.so

=== debian/changelog ===
spectrwm (3.1.0-2) unstable; urgency=low

  * autopkgtest
    - Add smoke test

  * debhelper
    - Switch to compat level 11

  * Other
    - Update Standards-Version to 4.1.3
      - No changes needed
    - Permit Rules-Requires-Root: no
    - Point Vcs-*: to salsa.debian.org

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 28 Jan 2018 18:18:45 +0100

spectrwm (3.1.0-1) unstable; urgency=medium

  * New upstream release

  * Patches
    - U01-fix-man-errors.diff
    - U02-improve-linking.diff
    - U03-enable-pie.diff
      - Dropped (merged upstream)

  * Other
    - Move to debhelper compatibility level 10
    - Update Standards-Version to 4.1.2
      - Use Format: https://... in Debian copyright file

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 30 Nov 2017 18:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Andrea Bolognani <eof@kiyuko.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libx11-dev,
                libx11-xcb-dev,
                libxcursor-dev,
@@ -16,10 +16,11 @@
                libxcb-util0-dev,
                libxcb-xtest0-dev,
                libxft-dev
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/conformal/spectrwm
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/spectrwm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/spectrwm.git/
+Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
+Vcs-Browser: https://salsa.debian.org/debian/spectrwm
 
 Package: spectrwm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
-
-DESTDIR=$(CURDIR)/debian/spectrwm
 
 build: build-indep build-arch
 build-indep: build-stamp
@@ -30,10 +28,10 @@
 	dh_prep
 	$(MAKE) -C linux/ install PREFIX=/usr \
 	                          LIBDIR=/usr/lib/spectrwm \
-	                          DESTDIR=$(DESTDIR)
+	                          DESTDIR=$(CURDIR)/debian/spectrwm
 	dh_install
 	dh_installexamples
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs
 	dh_installwm /usr/bin/spectrwm
 	dh_strip

=== debian/watch ===
version=4
opts=\
filenamemangle=s/^.*(\d+)_(\d+)_(\d+).*$/spectrwm-$1.$2.$3.tar.gz/ \
\
https://github.com/conformal/spectrwm/releases \
^/conformal/spectrwm/archive/SPECTRWM_(\d+)_(\d+)_(\d+)\.tar\.gz$

## spectrwm 3.2.0

=== freebsd/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CFLAGS+= -I. -I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2
 CFLAGS+= -DSWM_LIB=\"$(SWM_LIBDIR)/libswmhack.so.$(LVERS)\"
 LDADD+= -lutil -L${LOCALBASE}/lib -lX11 -lX11-xcb -lxcb \
-	-lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-util -lxcb-xtest -lXft -lXcursor
+	-lxcb-icccm -lxcb-keysyms -lxcb-randr -lxcb-util -lxcb-xinput -lxcb-xtest -lXft -lXcursor
 
 
 all: spectrwm libswmhack.so.$(LVERS)

=== linux/Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 BIN_CFLAGS   = -fPIE
 BIN_LDFLAGS  = -fPIE -pie
-BIN_CPPFLAGS = $(shell pkg-config --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xtest xcursor xft)
-BIN_LDLIBS   = $(shell pkg-config --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xtest xcursor xft)
+BIN_CPPFLAGS = $(shell pkg-config --cflags x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor xft)
+BIN_LDLIBS   = $(shell pkg-config --libs   x11 x11-xcb xcb-icccm xcb-keysyms xcb-randr xcb-util xcb-xinput xcb-xtest xcursor xft)
 LIB_CFLAGS   = -fPIC
 LIB_LDFLAGS  = -fPIC -shared
 LIB_CPPFLAGS = $(shell pkg-config --cflags x11)

=== osx/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 BINDIR?= $(PREFIX)/bin
 LIBDIR?= $(PREFIX)/lib
 MANDIR?= $(PREFIX)/share/man
+
+BUILDVERSION    = $(shell sh $(CURDIR)/../buildver.sh)
 
 # To use xquartz, uncomment the following three lines.
 INCFLAGS+= -I/opt/X11/include -I/opt/X11/include/freetype2/
@@ -23,6 +25,9 @@
 CFLAGS+= -std=c99 -Wmissing-prototypes -Wall -Wextra -Wshadow -Wno-uninitialized -g
 CFLAGS+= -O2 -D_GNU_SOURCE -D__OSX__ -I. -I.. ${INCFLAGS}
 CFLAGS+= -DSWM_LIB=\"$(LIBDIR)/libswmhack.so.$(LVERS)\"
+ifneq ("${BUILDVERSION}", "")
+CFLAGS+= -DSPECTRWM_BUILDSTR=\"$(BUILDVERSION)\"
+endif
 
 CC?= cc
 
@@ -54,10 +59,6 @@
 	install -m 755 spectrwm $(DESTDIR)$(BINDIR)
 	install -m 755 libswmhack.so.$(LVERS) $(DESTDIR)$(LIBDIR)
 	install -m 644 ../spectrwm.1 $(DESTDIR)$(MANDIR)/man1/spectrwm.1
-	install -m 644 ../spectrwm_es.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_es.1
-	install -m 644 ../spectrwm_it.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_it.1
-	install -m 644 ../spectrwm_pt.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_pt.1
-	install -m 644 ../spectrwm_ru.1 $(DESTDIR)$(MANDIR)/man1/spectrwm_ru.1
 	ln -sf spectrwm $(DESTDIR)$(BINDIR)/scrotwm
 	ln -sf libswmhack.so.0.0 $(DESTDIR)$(LIBDIR)/libswmhack.so.0
 	ln -sf libswmhack.so.0.0 $(DESTDIR)$(LIBDIR)/libswmhack.so

=== debian/changelog ===
spectrwm (3.2.0-1) unstable; urgency=low

  * New upstream release

  * Patches:
    - U01-install-more-files.diff
      - Extend upstream's build system to install additional files
        such as configuration files and documentation
    - U01-add-keywords-to-desktop-file.diff
      - Dropped (merged upstream)
    - D03-skip-compatibility-symlinks.diff
      - Dropped (no longer needed)

  * Other
    - Update Standards-Version to 4.2.1
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 29 Sep 2018 15:32:14 +0200

spectrwm (3.1.0-4) unstable; urgency=low

  * debhelper
    - Switch to using the dh sequencer, which actually fixes
      dependencies between targets instead of causing FTBFS

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 09 Apr 2018 20:56:30 +0200

spectrwm (3.1.0-3) unstable; urgency=low

  * rules
    - Fix dependencies between targets

  * Patches
    - U01-add-keywords-to-desktop-file.diff
      - Makes Lintian happy

  * Other
    - Update Standards-Version to 4.1.4
      - No changes needed

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Apr 2018 16:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,12 @@
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
                libxcb-util0-dev,
+               libxcb-xfixes0-dev,
+               libxcb-xinput-dev,
                libxcb-xtest0-dev,
                libxft-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/conformal/spectrwm
 Vcs-Git: https://salsa.debian.org/debian/spectrwm.git
 Vcs-Browser: https://salsa.debian.org/debian/spectrwm

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

export PREFIX = /usr
export LIBDIR = /usr/lib/spectrwm
export SYSCONFDIR = /etc
export DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@

# Build, install and clean.
#
# The Makefile we need to use is in the linux/ directory, so we need
# to override the usual dh_auto_* commands to prevent them from using
# the top-level Makefile, which only works on OpenBSD. We also pass a
# few extra variables to customize the installation paths.
override_dh_auto_build:
	$(MAKE) -C linux/

override_dh_auto_install:
	$(MAKE) -C linux/ install
	# Rename the release notes so that dh_installdocs can pick them
	# up with the expected name later
	mv $(DESTDIR)/usr/share/doc/spectrwm/CHANGELOG.md \
	   $(DESTDIR)/usr/share/doc/spectrwm/NEWS

override_dh_auto_clean:
	$(MAKE) -C linux/ clean

# Prevent CHANGELOG.md from being installed.
#
# Despite the name, we don't want it to end up being installed as
# changelog.gz, as doing so would go against Policy.
override_dh_installchangelogs:
	dh_installchangelogs --exclude=CHANGELOG.md

# Don't try to run tests.
#
# spectrwm doesn't have a test suite, but the OpenBSD Makefile in the
# top-level directory confuses dh_auto_test's detection and tricks it
# into thinking one exists.
override_dh_auto_test:

# Don't create shlibs files.
#
# libswmhack.so is not a proper shared library, and it should not be
# treated as such.
override_dh_makeshlibs:

# Rebuild the patches series by looking at the contents of the
# debian/patches directory.
#
# Patches with names starting with D (Debian-specific) should be applied
# after those with names starting with U (to be forwarded upstream).
rebuild-patches-series:
	@( \
		SERIES=debian/patches/series; \
		{ \
			echo "# To rebuild this file, use \`debian/rules $@'"; \
			for patch in debian/patches/U*.diff debian/patches/D*.diff; \
			do \
				test -f "$${patch}" || continue; \
				patch=$$(basename "$${patch}"); \
				echo "$${patch}"; \
			done; \
		} >"$${SERIES}"; \
	)

.PHONY: rebuild-patches-series

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,6 @@
 version=4
 opts=\
+pgpmode=none,\
 filenamemangle=s/^.*(\d+)_(\d+)_(\d+).*$/spectrwm-$1.$2.$3.tar.gz/ \
 \
 https://github.com/conformal/spectrwm/releases \
